Get onchain transfers for a token
Returns a paginated list of ERC20 transfer events for the token contract, optionally filtered by date range.
Path Parameters
The token link id
Query Parameters
Start date of the time range in ISO 8601 format
End date of the time range in ISO 8601 format
Page cursor to get the next page
Number of items per page (max 100), requesting more than 100 will return 100 items
1 <= x <= 100Sorting field for transfers
blockTimeStamp ASC / DESC ordering (default DESC)
ASC, DESC Filter transfers by sender address
"0xabcdef1234567890abcdef1234567890abcdef12"
Filter transfers by receiver address
"0x1234567890abcdef1234567890abcdef12345678"
Response
Onchain transfers fetched successfully
Array of ERC20 transfer events
[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"transactionHash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
"logIndex": "0",
"contractAddress": "0x1234567890123456789012345678901234567890",
"fromAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
"toAddress": "0x1234567890123456789012345678901234567890",
"value": "1000000000000000000",
"chainId": 1,
"baseAssetId": "ETH_TEST3",
"blockNumber": 12345678,
"blockHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
"blockTimestamp": "2025-01-16T15:45:00Z",
"eventName": "Transfer"
}
]Cursor for next page
"MjAyMy0xMi0xMyAyMDozNjowOC4zMDI=:MTEwMA=="
Cursor for previous page
"dGhpcyBpcyBhIHByZXZpb3VzIGN1cnNvcg=="
Total count of items
150